# s11n-boost.h File Reference

## Detailed Description

Non-intrusive versions of serialization functions for the record classes.

These template functions make it possible to use the record classes with the Boost::Serialization library.

Definition in file s11n-boost.h.

`#include "dll.h"`
`#include "record.h"`
`#include <boost/serialization/vector.hpp>`

Include dependency graph for s11n-boost.h:

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::serialization
namespace | Barry

## Classes

class | Barry::BoostLoader< RecordT >
class | Barry::BoostSaver< RecordT >
class | Barry::BoostParser
| This Parser turns incoming records (which can be of any record type included in ALL_KNOWN_PARSER_TYPES) into a Boost Serialization stream on the given iostream. More...
class | Barry::BoostBuilder
| This Builder class reads a boost serialization stream, and converts them into DBData records. More...